List league health facts
curl --request GET \
--url https://softmax.com/api/observatory/v2/leagues/health \
--header 'Authorization: Bearer <token>'import requests
url = "https://softmax.com/api/observatory/v2/leagues/health"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://softmax.com/api/observatory/v2/leagues/health', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"league_id": "<string>",
"rounds": [
{
"status": "pending",
"skip_kind": "budget_refused",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
],
"submissions": [
{
"status": "pending",
"created_at": "2023-11-07T05:31:56Z"
}
],
"memberships": [
{
"status": "submitted"
}
]
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Leagues
List league health facts
Return bounded health inputs for each requested visible league.
GET
/
v2
/
leagues
/
health
List league health facts
Authorizations
Bearer token issued by Softmax
Query Parameters
One to fifty leagues whose health facts should be returned.
Required array length:
1 - 50 elementsPattern:
^league_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Response
Successful Response
League represented by these health facts.
Newest 200 rounds across the newest 50 active visible divisions.
Show child attributes
Show child attributes
Newest 200 submissions.
Show child attributes
Show child attributes
Newest 200 policy memberships.
Show child attributes
Show child attributes